{"id":24916,"date":"2020-10-31T08:40:26","date_gmt":"2020-10-31T08:40:26","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?p=24916"},"modified":"2024-03-20T14:45:14","modified_gmt":"2024-03-20T14:45:14","slug":"get-analytics-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/get-analytics-api\/","title":{"rendered":"Get Analytics API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p><span style=\"font-weight: 400;\">The Get Analytics API allows you to retrieve metrics data related to intent detection and task performance. The API provides information about various metrics, including Intents Found, Intents not Found, Unhandled Utterances, Failed Tasks, Successful Tasks, and Performance Logs.<\/span><\/p>\n<table>\n<tbody>\n<tr>\n<td><strong>Method<\/strong><\/td>\n<td>POST<\/td>\n<\/tr>\n<tr>\n<td><strong>Endpoint<\/strong><\/td>\n<td><code>https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/getAnalytics<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Content Type<\/strong><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Authorization<\/strong><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" target=\"_blank\" rel=\"noopener noreferrer\">How to generate the JWT Token.<\/a><\/td>\n<\/tr>\n<tr>\n<td><strong>API Scope<\/strong><\/td>\n<td>\n<ul>\n<li>Bot Builder: Metrics<\/li>\n<li>Admin Console: Not Applicable<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae87075d4807\" data-id=\"6ae87075d4807\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Required\/Optional<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Required<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>BotID<\/td>\n<td>Required<\/td>\n<td>Bot ID or Stream ID. You can access it from the General Settings page of the bot.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae87075d4949\" data-id=\"6ae87075d4949\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<p><span style=\"font-weight: 400;\">The following sample request shows how to retrieve <\/span><i><span style=\"font-weight: 400;\">unhandled utterance<\/span><\/i><span style=\"font-weight: 400;\"> analytics data with specific filters. You can modify the <\/span><i><span style=\"font-weight: 400;\">type<\/span><\/i><span style=\"font-weight: 400;\"> and <\/span><i><span style=\"font-weight: 400;\">filters<\/span><\/i><span style=\"font-weight: 400;\"> parameters to retrieve different types of analytics data as needed.<\/span><\/p>\n<pre>curl --location --request POST 'https:\/\/bots.kore.ai\/api\/public\/bot\/st-xxxxxxd-xxxx-xxxx-xxxx-xxxxxxxxxx\/getAnalytics' \\\r\n--header 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n--header 'content-type: application\/json' \\\r\n--data-raw '{\r\n    \"type\": \"unhandledutterance\",\r\n    \"filters\": {\r\n        \"from\": \"2022-09-11T17:25:09.698Z\",\r\n        \"to\": \"2022-09-25T17:25:09.698Z\",\r\n       \r\n           \r\n        \"channel\": [\r\n            \"rtm\"\r\n        ],\r\n        \"isAmbiguous\": false,\r\n        \"isDeveloper\": false,\r\n        \"trained\": false,\r\n        \"userId\": [\r\n            \"u-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxx\"\r\n        ]\r\n       \r\n       \r\n    },\r\n    \"sort\":\r\n        { \"order\": \"asc\",\r\n          \"by\": \"nodeName\" },\r\n   \r\n    \"limit\": 50\r\n}'<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae87075d4a66\" data-id=\"6ae87075d4a66\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Request_Body_Parameters\">Request Body Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Type<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">type<\/span><\/td>\n<td><span style=\"font-weight: 400;\">string, required<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Indicates the type of metrics for which you can retrieve data:<\/span><\/p>\n<ul>\n<li>successintent<\/li>\n<li>failintent<\/li>\n<li>successtask<\/li>\n<li>failtask<\/li>\n<li>performance<\/li>\n<li>unhandledutterance<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">filters<\/span><\/td>\n<td><span style=\"font-weight: 400;\">object, required<\/span><\/td>\n<td><span style=\"font-weight: 400;\">A set of filters to narrow down the analytics data.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">filters.from<\/span><\/td>\n<td><span style=\"font-weight: 400;\">string, required<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The start timestamp for the data retrieval.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">filters.to<\/span><\/td>\n<td><span style=\"font-weight: 400;\">string, required<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The end timestamp for the data retrieval.<\/span><\/td>\n<\/tr>\n<tr>\n<td><\/td>\n<td><\/td>\n<td><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">filters.channel<\/span><\/td>\n<td><span style=\"font-weight: 400;\">array of strings, optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">An array containing channel names to filter data by; the default channel is \u201crtm\u201d.<\/span><\/p>\n<p><span style=\"font-weight: 400;\">Accepted channels are:<\/span><\/p>\n<ul>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cskypeforbusiness\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cmsteams\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201ctwitter\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cspark\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201crtm\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cfacebook\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cslack\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cskype\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201ckore\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cemail\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201csms\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cfacebook\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cringcentral\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cjabber\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cyammer\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201calexa\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201ctwiliovoice\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201ctelegram\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201civr\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201civrVoice\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201csmartassist\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cline\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cliveperson\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cgoogleactions\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201changoutchat\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201cmattermost\u201d<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">\u201crcs\u201d<\/span><\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">filters.channel.channelUIds<\/span><\/td>\n<td><span style=\"font-weight: 400;\">array of strings, optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The end-user\u2019s identity provided by the channel.<\/span><\/p>\n<p><span style=\"font-weight: 400;\"><strong>Note<\/strong>: For &#8220;ivr&#8221; channel, it&#8217;s a combination of <\/span><code>{accountId}\/{channel}\/{channelUId}<\/code>.<br \/>\nFor example,<br \/>\n<code>\"channelUIds\": [\"5fb6a04e20ab9d2c19cb73xx\/ivrinst-893b4d4f-1fc1-54c3-b3xx-fa7200c4c2xx\/first.last@domain.com\"]<\/code><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">filters.isAmbiguous<\/span><\/td>\n<td><span style=\"font-weight: 400;\">boolean, optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Whether to include ambiguous intents or not \u2013 set to <\/span><i><span style=\"font-weight: 400;\">true<\/span><\/i><span style=\"font-weight: 400;\"> or <\/span><i><span style=\"font-weight: 400;\">false<\/span><\/i><span style=\"font-weight: 400;\">.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">filters.isDeveloper<\/span><\/td>\n<td><span style=\"font-weight: 400;\">boolean, optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Whether to include developer metrics \u2013 set to <\/span><i><span style=\"font-weight: 400;\">true<\/span><\/i><span style=\"font-weight: 400;\"> or <\/span><i><span style=\"font-weight: 400;\">false<\/span><\/i><span style=\"font-weight: 400;\">.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">filters.trained<\/span><\/td>\n<td><span style=\"font-weight: 400;\">boolean, optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Whether to include trained intents or not \u2013 set to <\/span><i><span style=\"font-weight: 400;\">true<\/span><\/i><span style=\"font-weight: 400;\"> or <\/span><i><span style=\"font-weight: 400;\">false<\/span><\/i><span style=\"font-weight: 400;\">.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">filter.taskId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">array of strings, optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">To filter based on the task IDs.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">filters.userId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">array of strings, optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">To filter based on user IDs.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">filters.tags<\/span><\/td>\n<td><span style=\"font-weight: 400;\">object, optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Meta tags to filter the records.<\/span><br \/>\nUsage example:<\/p>\n<pre>\"tags\": {\r\n         \"and\": [\r\n                 {\r\n                  \"name\": \"user\",\r\n                  \"values\": [\"uservalue\"],\r\n                  \"type\": \"user\"\r\n                  },\r\n                  {\r\n                   \"name\": \"message\",\r\n                   \"values\": [\"mvalue\"],\r\n                   \"type\": \"message\"\r\n                   }\r\n                ]\r\n           }<\/pre>\n<\/td>\n<\/tr>\n<tr>\n<td>sort<\/td>\n<td><span style=\"font-weight: 400;\">object, optional<\/span><\/td>\n<td><span style=\"font-weight: 400;\">An object containing the sorting criteria to apply to the data being retrieved:<\/span><\/p>\n<ul>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><i><span style=\"font-weight: 400;\">order (string, required)<\/span><\/i><span style=\"font-weight: 400;\">: Sorting order, either &#8220;asc&#8221; for ascending or &#8220;desc&#8221; for descending.<\/span><\/li>\n<li><i><span style=\"font-weight: 400;\">by<\/span><\/i> <i><span style=\"font-weight: 400;\">(string, required)<\/span><\/i><span style=\"font-weight: 400;\">: The field\/column by which the data should be sorted. <\/span><\/li>\n<\/ul>\n<p>Usage example:<\/p>\n<pre>\"sort\": \r\n       { \"order\": \"&lt;desc\/asc&gt;\", \r\n          \"by\": \"&lt;column name&gt;\" }<\/pre>\n<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">limit<\/span><\/td>\n<td><span style=\"font-weight: 400;\">integer, required<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Indicates the number of records to be returned in the result set.<\/span><\/td>\n<\/tr>\n<tr>\n<td>skip<\/td>\n<td><span style=\"font-weight: 400;\">integer, required<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The number of records to be skipped from the result set.<\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae87075d5296\" data-id=\"6ae87075d5296\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre class=\"code-limit-400px\">{\r\n    \"moreAvailable\": false,\r\n    \"result\": [\r\n        {\r\n            \"_id\": \"63xxxxxxxxxxxxxxxxx\",\r\n            \"messageId\": \"ms-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxx\",\r\n            \"sessionId\": \"63xxxxxxxxxxxxxxx\",\r\n            \"utterance\": \"aslfkj\",\r\n            \"intent\": \"Mobile Enquiry\",\r\n            \"userId\": \"u-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxx\",\r\n            \"channelUId\": \"test@abc.xyz\",\r\n            \"language\": \"en\",\r\n            \"timestamp\": \"2022-09-24T08:24:39.840Z\",\r\n            \"pinned\": false,\r\n            \"channel\": \"rtm\",\r\n            \"winningIntent\": [],\r\n            \"isAmbiguous\": false,\r\n            \"ambiguousIntents\": [],\r\n            \"taskName\": \"Mobile Enquiry\",\r\n            \"flow\": [],\r\n            \"taskId\": \"dg-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx\",\r\n            \"koralogstatusId\": \"f-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxx-xxxxxxxxxxx\",\r\n            \"customTags\": {\r\n                \"userTags\": [\r\n                    {\r\n                        \"name\": \"Name\",\r\n                        \"value\": \"John\"\r\n                    }\r\n                ],\r\n                \"sessionTags\": [],\r\n                \"messageTags\": []\r\n            },\r\n            \"NLAnalysis\": {\r\n                \"result\": \"unhandledUtterance\",\r\n                \"messageStoreId\": \"ms-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxx\",\r\n                \"channelId\": \"st-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxx:u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxx:rtm\",\r\n                \"bot\": \"Channel Check\",\r\n                \"botid\": \"st-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxx\",\r\n                \"skipConversation\": true,\r\n                \"task\": \"Mobile Enquiry\",\r\n                \"botLanguage\": \"en-US\",\r\n                \"nluLanguage\": \"en-US\",\r\n                \"taskId\": \"dg-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxx\",\r\n                \"fields\": {},\r\n                \"logSequenceId\": \"f-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxx-xxxxxxxxxx\",\r\n                \"intentStatus\": \"published\",\r\n                \"subType\": \"dialog\",\r\n                \"channelInfo\": \"st-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx:u-xxxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx:rtm\",\r\n                \"input\": [\r\n                    \"aslfkj\"\r\n                ],\r\n                \"taskContextId\": \"dcx-xxxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx\",\r\n                \"NLAnalysis\": {\r\n                    \"intentRescoring\": true,\r\n                    \"isPreferDefinitiveMatch\": true,\r\n                    \"scoringModel\": \"original\",\r\n                    \"toneAnalysis\": {},\r\n                    \"nlProcessing\": {\r\n                        \"originalInput\": \"aslfkj\",\r\n                        \"spellCorrectedInput\": null,\r\n                        \"canonical\": \"Aslak\",\r\n                        \"wordAnalysis\": [\r\n                            {\r\n                                \"index\": 1,\r\n                                \"word\": \"Aslak\",\r\n                                \"ignored\": false,\r\n                                \"pos\": \"Noun_proper_singular \",\r\n                                \"role\": \"MAINSUBJECT \",\r\n                                \"original\": \"aslfkj\",\r\n                                \"processedWord\": \"Aslak\"\r\n                            }\r\n                        ]\r\n                    },\r\n                    \"ml\": {\r\n                        \"intentModel\": \"bot level intent model\",\r\n                        \"eliminated\": [\r\n                            {\r\n                                \"task\": \"Book Appointment\",\r\n                                \"state\": \"published\",\r\n                                \"score\": 0.017055602351504544,\r\n                                \"scoringCriteria\": \"Probabilistic score\",\r\n                                \"matchType\": \"unlikely\"\r\n                            },\r\n                            {\r\n                                \"task\": \"Transfer Money\",\r\n                                \"state\": \"published\",\r\n                                \"score\": 0.011911144983740555,\r\n                                \"scoringCriteria\": \"Probabilistic score\",\r\n                                \"matchType\": \"unlikely\"\r\n                            },\r\n                            {\r\n                                \"task\": \"Show Balance\",\r\n                                \"state\": \"published\",\r\n                                \"score\": 0.009209086809082547,\r\n                                \"scoringCriteria\": \"Probabilistic score\",\r\n                                \"matchType\": \"unlikely\"\r\n                            }\r\n                        ],\r\n                        \"namedEntityRecognition\": []\r\n                    },\r\n                    \"faq\": {\r\n                        \"demystify\": {\r\n                            \"lemmatizer_used\": \"PATTERN\",\r\n                            \"normalizedQuery\": \"aslfkj\",\r\n                            \"OntologyTraits\": [],\r\n                            \"failed_questions\": {},\r\n                            \"SelectedPathCount\": 3,\r\n                            \"ExtractedEntities\": [],\r\n                            \"ContextEntities\": [],\r\n                            \"PreConditionNodes\": [],\r\n                            \"filtered_questions\": {\r\n                                \"score\": [],\r\n                                \"traits\": []\r\n                            }\r\n                        }\r\n                    }\r\n                },\r\n                \"language\": \"en\",\r\n                \"channel\": \"rtm\",\r\n                \"userId\": \"u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx\",\r\n                \"time\": \"2022-09-24T08:24:39.808Z\",\r\n                \"channelclient\": \"botbuilder\",\r\n                \"_id\": \"f-121d2486-xxxx-xxxx-xxxx-xxxxxxxxxx-xxxxxxxxxx\",\r\n                \"resourceid\": \"korastatuslogs\",\r\n                \"entityOrgId\": \"o-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxx\",\r\n                \"iv\": \"VP47awbZ8JRCoqFtgPx7fA==\",\r\n                \"cek\": {\r\n                    \"header\": {\r\n                        \"alg\": \"dir\",\r\n                        \"enc\": \"aes-256-cbc\",\r\n                        \"kid\": \"k-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxx\"\r\n                    }\r\n                },\r\n                \"ire\": true\r\n            },\r\n            \"nodeName\": \"Entity_color\",\r\n            \"promptType\": \"entity\"\r\n        },\r\n        {\r\n            \"_id\": \"63xxxxxxxxxxxx\",\r\n            \"messageId\": \"ms-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxx\",\r\n            \"sessionId\": \"63xxxxxxxxxxxxxxxxx\",\r\n            \"utterance\": \"alskd\",\r\n            \"intent\": \"Mobile Enquiry\",\r\n            \"userId\": \"u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxx\",\r\n            \"channelUId\": \"ramakrishnakoretest@getnada.com\",\r\n            \"language\": \"en\",\r\n            \"timestamp\": \"2022-09-24T08:24:50.257Z\",\r\n            \"pinned\": false,\r\n            \"channel\": \"rtm\",\r\n            \"winningIntent\": [],\r\n            \"isAmbiguous\": false,\r\n            \"ambiguousIntents\": [],\r\n            \"taskName\": \"Mobile Enquiry\",\r\n            \"flow\": [],\r\n            \"taskId\": \"dg-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx\",\r\n            \"koralogstatusId\": \"f-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx-xxxxxxx\",\r\n            \"customTags\": {\r\n                \"userTags\": [\r\n                    {\r\n                        \"name\": \"Name\",\r\n                        \"value\": \"Krishna\"\r\n                    }\r\n                ],\r\n                \"sessionTags\": [],\r\n                \"messageTags\": []\r\n            },\r\n            \"NLAnalysis\": {\r\n                \"result\": \"unhandledUtterance\",\r\n                \"messageStoreId\": \"ms-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxx\",\r\n                \"channelId\": \"st-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxx:u-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx:rtm\",\r\n                \"bot\": \"Channel Check\",\r\n                \"botid\": \"st-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx\",\r\n                \"skipConversation\": true,\r\n                \"task\": \"Mobile Enquiry\",\r\n                \"botLanguage\": \"en-US\",\r\n                \"nluLanguage\": \"en-US\",\r\n                \"taskId\": \"dg-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx\",\r\n                \"fields\": {},\r\n                \"logSequenceId\": \"f-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx-xxxxxxx\",\r\n                \"intentStatus\": \"published\",\r\n                \"subType\": \"dialog\",\r\n                \"channelInfo\": \"st-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxx:u-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx:rtm\",\r\n                \"input\": [\r\n                    \"alskd\"\r\n                ],\r\n                \"taskContextId\": \"dcx-b3e58798-ed3b-5f3d-9894-2e26758001eb\",\r\n                \"NLAnalysis\": {\r\n                    \"intentRescoring\": true,\r\n                    \"isPreferDefinitiveMatch\": true,\r\n                    \"scoringModel\": \"original\",\r\n                    \"toneAnalysis\": {},\r\n                    \"nlProcessing\": {\r\n                        \"originalInput\": \"alskd\",\r\n                        \"spellCorrectedInput\": null,\r\n                        \"canonical\": \"alskd\",\r\n                        \"wordAnalysis\": [\r\n                            {\r\n                                \"index\": 1,\r\n                                \"word\": \"unknown-word\",\r\n                                \"ignored\": false,\r\n                                \"pos\": \"Noun_infinitive Noun_singular Verb_infinitive Verb_present Adjective_normal Adverb \",\r\n                                \"original\": \"alskd\",\r\n                                \"processedWord\": \"alskd\"\r\n                            }\r\n                        ]\r\n                    },\r\n                    \"ml\": {\r\n                        \"intentModel\": \"bot level intent model\",\r\n                        \"eliminated\": [\r\n                            {\r\n                                \"task\": \"Book Appointment\",\r\n                                \"state\": \"published\",\r\n                                \"score\": 0.017055602351504544,\r\n                                \"scoringCriteria\": \"Probabilistic score\",\r\n                                \"matchType\": \"unlikely\"\r\n                            },\r\n                            {\r\n                                \"task\": \"Transfer Money\",\r\n                                \"state\": \"published\",\r\n                                \"score\": 0.011911144983740555,\r\n                                \"scoringCriteria\": \"Probabilistic score\",\r\n                                \"matchType\": \"unlikely\"\r\n                            },\r\n                            {\r\n                                \"task\": \"Show Balance\",\r\n                                \"state\": \"published\",\r\n                                \"score\": 0.009209086809082547,\r\n                                \"scoringCriteria\": \"Probabilistic score\",\r\n                                \"matchType\": \"unlikely\"\r\n                            }\r\n                        ],\r\n                        \"namedEntityRecognition\": []\r\n                    },\r\n                    \"faq\": {\r\n                        \"demystify\": {\r\n                            \"lemmatizer_used\": \"PATTERN\",\r\n                            \"normalizedQuery\": \"alskd\",\r\n                            \"OntologyTraits\": [],\r\n                            \"failed_questions\": {},\r\n                            \"SelectedPathCount\": 3,\r\n                            \"ExtractedEntities\": [],\r\n                            \"ContextEntities\": [],\r\n                            \"PreConditionNodes\": [],\r\n                            \"filtered_questions\": {\r\n                                \"score\": [],\r\n                                \"traits\": []\r\n                            }\r\n                        }\r\n                    }\r\n                },\r\n                \"language\": \"en\",\r\n                \"channel\": \"rtm\",\r\n                \"userId\": \"u-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxx\",\r\n                \"time\": \"2022-09-24T08:24:50.226Z\",\r\n                \"channelclient\": \"botbuilder\",\r\n                \"_id\": \"f-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxx-xxxxxxxx\",\r\n                \"resourceid\": \"korastatuslogs\",\r\n                \"entityOrgId\": \"o-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxx\",\r\n                \"iv\": \"+Kl5i6AAFJp0g3NkExn+Og==\",\r\n                \"cek\": {\r\n                    \"header\": {\r\n                        \"alg\": \"dir\",\r\n                        \"enc\": \"aes-256-cbc\",\r\n                        \"kid\": \"k-xxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxx\"\r\n                    }\r\n                },\r\n                \"ire\": true\r\n            },\r\n            \"nodeName\": \"Entity_capacity\",\r\n            \"promptType\": \"entity\"\r\n        }\r\n    ],\r\n    \"totalCount\": 2\r\n}\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae87075d535e\" data-id=\"6ae87075d535e\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div><\/div><\/div><\/div><\/div><\/div><\/section><section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Response_Body_Parameters\">Response Body Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<td><b>PARAMETER<\/b><\/td>\n<td><b>DESCRIPTION<\/b><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">moreAvailable<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Indicates if the API has returned all the records or if more are available, based on the pagination criteria.<\/span><\/p>\n<p><b>True<\/b><span style=\"font-weight: 400;\"> if more records are available. <\/span><b>False<\/b><span style=\"font-weight: 400;\"> if there are no more records to be retrieved.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">result<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Contains complete information about the metrics.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">id<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The unique identifier for the record.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">messagesId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The unique identifier for the message record.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">sessionId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The unique identifier for the session.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">utterance<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The user utterance\/input.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">intent<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The identified intent for the user&#8217;s utterance\/input.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">userId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The unique identifier for the user<\/span><span style=\"font-weight: 400;\">.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">channelUId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The end-user\u2019s identity provided by the channel. It can be the user\u2019s email ID or enterprise-assigned unique ID.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">language<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The language in which the conversation happened with the bot.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">timestamp<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The response date is converted into timestamp format.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">pinned<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Indicates whether the message is pinned &#8211; <\/span><i><span style=\"font-weight: 400;\">true<\/span><\/i><span style=\"font-weight: 400;\"> or <\/span><i><span style=\"font-weight: 400;\">false<\/span><\/i><span style=\"font-weight: 400;\">.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">channel<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Name of the channel through which the conversation occurred.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">winningIntent<\/span><\/td>\n<td><span style=\"font-weight: 400;\">An array containing the winning intent(s) for the utterance.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">isAmbiguous<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Indicates whether the intent is ambiguous &#8211; <\/span><i><span style=\"font-weight: 400;\">true<\/span><\/i><span style=\"font-weight: 400;\"> or <\/span><i><span style=\"font-weight: 400;\">false.<\/span><\/i><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">ambiguousIntents<\/span><\/td>\n<td><span style=\"font-weight: 400;\">An array of ambiguous intents, if applicable.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">taskName<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The name of the task associated with the conversation.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">nodeName<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The node name. This parameter is retrieved only for the <\/span><i><span style=\"font-weight: 400;\">Performance<\/span><\/i><span style=\"font-weight: 400;\"> metric.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">type<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The type of the node. This parameter is retrieved only for the <\/span><i><span style=\"font-weight: 400;\">Performance<\/span><\/i><span style=\"font-weight: 400;\"> metric.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">status<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The status of the task. This parameter is retrieved only for the <\/span><i><span style=\"font-weight: 400;\">Performance<\/span><\/i><span style=\"font-weight: 400;\"> metric.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">statusCode<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The status code of the task. This parameter is retrieved only for the <\/span><i><span style=\"font-weight: 400;\">Performance<\/span><\/i><span style=\"font-weight: 400;\"> metric.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">responseTime<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The response time for the task. This parameter is retrieved only for the <\/span><i><span style=\"font-weight: 400;\">Performance<\/span><\/i><span style=\"font-weight: 400;\"> metric.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">flow<\/span><\/td>\n<td><span style=\"font-weight: 400;\">An array of task flows.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">taskId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The unique identifier for the task.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">koralogstatusId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The unique identifier for the koralog status.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">customTags<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Custom tags added to the user&#8217;s profile.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">customTags.userTags<\/span><\/td>\n<td><span style=\"font-weight: 400;\">User tags added to the user\u2019s profile information.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">userTags.name<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Tag\u2019s name.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">userTags.value<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Tag\u2019s value.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">customTags.sessionTags<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Custom tags added to the conversation session<\/span><span style=\"font-weight: 400;\">.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">customTags.messagesTags<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Meta tags to filter the conversations.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Contains natural language analysis results, including intent recognition and other natural language processing details.<\/span><\/p>\n<p><span style=\"font-weight: 400;\">The \u2018NLAnalysis\u2019 object includes multiple sub-objects such as \u2018intentRescoring\u2019, \u2018nlProcessing\u2019, \u2018ml\u2019 (machine learning analysis), \u2018fm\u2019 (fundamental meaning analysis), \u2018faq\u2019 (frequently asked questions analysis), and finalResolver. Each of these sub-objects contains information related to the analysis process, such as linguistic analysis, intent recognition, and the elimination of unlikely intents, etc.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.debugTitle<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The metric type in the NL Analysis. Possible values are:<\/span><\/p>\n<ul>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">Intent Match Successful<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">Intent Match Failed<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">Intent Failed\/Abandoned<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">Intent Completed Successfully<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">Unhandled Utterances<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">Performance<\/span><\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.result<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The result of the NL analysis. For example, the result can be an unhandled utterance or a failed task.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.messageStoreId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">A unique identifier for the message stored in the system.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.channelId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The identifier for the channel where the conversation took place.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.bot<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The name of the bot that handled the conversation.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.botid<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The unique identifier for the bot.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.skipConversation<\/span><\/td>\n<td><span style=\"font-weight: 400;\">If set to true, skips the conversation record. If false, do not skip the conversation.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.task<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The name of the task associated with the conversation.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.botLanguage<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The language used by the bot.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.nluLanguage<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The language in which the NLP training happened for that particular bot language.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.taskId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The unique identifier for the task associated with the conversation.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.isDeveloper<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Whether the session was initiated by a developer &#8211;\u00a0 <\/span><i><span style=\"font-weight: 400;\">true<\/span><\/i><span style=\"font-weight: 400;\"> or <\/span><i><span style=\"font-weight: 400;\">false<\/span><\/i><span style=\"font-weight: 400;\">.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.reason<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The NL analysis reason object.\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0\u00a0<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.reason.cause<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The cause for NL analysis failure. For example, the script node failure.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.reason.causeId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The NL analysis cause id.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.fields<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The fields; Contains additional fields associated with the interaction.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.logSequenceId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The unique log sequence identifier.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.intentStatus<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The status of the intent.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.subType<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The task subtype.\u00a0 For example, a dialog.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.channelInfo<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The bot channel information.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.input<\/span><\/td>\n<td><span style=\"font-weight: 400;\">An array containing the user&#8217;s input.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.taskContextId<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The unique task context identifier.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.intentRescoring<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Indicates whether intent rescoring was enabled &#8211; <\/span><i><span style=\"font-weight: 400;\">true<\/span><\/i><span style=\"font-weight: 400;\"> or <\/span><i><span style=\"font-weight: 400;\">false<\/span><\/i><span style=\"font-weight: 400;\">. (<\/span><i><span style=\"font-weight: 400;\">true<\/span><\/i><span style=\"font-weight: 400;\"> means the system may reevaluate and rescore intents during the processing of the user&#8217;s input.)<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.isPreferDefinitiveMatch<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Indicates whether the system prefers a definitive match when recognizing intents &#8211; <\/span><i><span style=\"font-weight: 400;\">true<\/span><\/i><span style=\"font-weight: 400;\"> or <\/span><i><span style=\"font-weight: 400;\">false<\/span><\/i><span style=\"font-weight: 400;\">.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.scoringModel<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The scoring model used for intent recognition. Possible value &#8211; <\/span><i><span style=\"font-weight: 400;\">original<\/span><\/i><span style=\"font-weight: 400;\">.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.toneAnalysis<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The toneAnalysis object; Contains the tone analysis of the task. <\/span><a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/advanced-topics\/working-with-tone-processing\/\" target=\"_blank\" rel=\"noopener noreferrer\"><span style=\"font-weight: 400;\">Learn more<\/span><\/a>.<\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.nlProcessing<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The nlProcessing object; Contains information about the linguistic analysis and natural language processing of the user&#8217;s input.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.nlProcessing.originalInput<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The original user input.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.nlProcessing.spellCorrectedInput<\/span><\/td>\n<td><span style=\"font-weight: 400;\">If spelling correction is applied, it would contain the corrected user input. (Null indicates no spelling correction applied.)<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.nlProcessing.canonical<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The canonical representation of the input; typically represents a normalized or recognized form of the user&#8217;s input.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.nlProcessing.wordAnalysis<\/span><\/td>\n<td><span style=\"font-weight: 400;\">An array of objects, each containing a detailed analysis of individual words in the user&#8217;s input.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.nlProcessing.wordAnalysis.index<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The position of the word in the input.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.nlProcessing.wordAnalysis.word<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The recognized\/analyzed word.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.nlProcessing.wordAnalysis.ignored<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Indicates whether the word was ignored in the analysis &#8211; <\/span><i><span style=\"font-weight: 400;\">true<\/span><\/i><span style=\"font-weight: 400;\"> or <\/span><i><span style=\"font-weight: 400;\">false<\/span><\/i><span style=\"font-weight: 400;\">.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.nlProcessing.wordAnalysis.pos<\/span><\/td>\n<td><span style=\"font-weight: 400;\">Part-of-speech tagging for the word.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.nlProcessing.wordAnalysis.role<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The role or function of the word in the context.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.nlProcessing.wordAnalysis.original<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The original word.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.nlProcessing.wordAnalysis.processedWord<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The processed word.<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.ml<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The ml object; Contains information related to machine learning analysis, including intent recognition and elimination of unlikely intents. (Most of the parameters\/values returned by the object are used internally.)<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.fm<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The fm object; Contains information related to fundamental meaning analysis, provides insights into the scoring, matching, and elimination of tasks, etc. (Most of the parameters\/values returned by the object are used internally.)\u00a0\u00a0\u00a0<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.faq<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The faq object; Contains detailed information about the analysis of user input related to faq. (Most of the parameters\/values returned by the object are used internally.)\u00a0\u00a0<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">NLAnalysis.finalResolver<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The finalResolver object; Contains information related to the final resolution process and the determination of the response or action to be taken based on the user&#8217;s input. (Most of the parameters\/values returned by the object are used internally.)<\/span><\/td>\n<\/tr>\n<tr>\n<td><span style=\"font-weight: 400;\">totalCount<\/span><\/td>\n<td><span style=\"font-weight: 400;\">The total number of records identified as per the API request parameters.<\/span><\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae87075d6f50\" data-id=\"6ae87075d6f50\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"The Get Analytics API allows you to retrieve metrics data related to intent detection and task performance. The API provides information about various metrics, including Intents Found, Intents not Found, Unhandled Utterances, Failed Tasks, Successful Tasks, and Performance Logs. Method POST Endpoint https:\/\/{{host}}\/api\/public\/bot\/{{BotID}}\/getAnalytics Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT...","protected":false},"author":1,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-24916","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/24916","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=24916"}],"version-history":[{"count":21,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/24916\/revisions"}],"predecessor-version":[{"id":61546,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/24916\/revisions\/61546"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=24916"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=24916"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=24916"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}